package dev.crucifixbeta.api.events.impl;

import dev.crucifixbeta.api.events.Event;
import dev.crucifixbeta.mod.modules.Module;
import net.fabricmc.api.EnvType;
import net.fabricmc.api.Environment;

@Environment(EnvType.CLIENT)
public class ModuleToggleEvent extends Event {
   private final Module module;
   private final boolean state;

   public ModuleToggleEvent(Module module, boolean state) {
      this.module = module;
      this.state = state;
   }

   public Module getModule() {
      return this.module;
   }

   public boolean getState() {
      return this.state;
   }

   public boolean isEnabled() {
      return this.state;
   }
}
